<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * This is the english translation file for get_string() for all translatable 
 * text in the help desk block.
 *
 * @package     block_helpdesk
 * @copyright   2010 VLACS
 * @author	Jonathan Doane <jdoane@vlacs.org>
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['blockname']            = 'Help Desk';
$string['helpdesk:answer']      = 'Help Desk Answerer';
$string['block/helpdesk:answer']= $string['helpdesk:answer'];
$string['helpdesk:ask']         = 'Help Desk Asker';
$string['block/helpdesk:ask']   = $string['helpdesk:ask'];
$string['helpdesk']             = 'Help Desk';
$string['ticketinfo']           = 'Question Overview';
$string['ticketid']             = 'Question ID';
$string['submittedby']          = 'Submitted By';
$string['timecreated']          = 'Created On';
$string['status']               = 'Status';
$string['specifics']            = 'Specific Question Details';
$string['summary']              = 'Summary';
$string['detail']               = 'Issue Details';
$string['ticketupdates']        = 'Question History';
$string['user']                 = 'User';
$string['date']                 = 'Date';
$string['comment']              = 'Comment';
$string['updateticket']         = 'Update Question';
$string['updatestatus']         = 'Update Status';
$string['update']               = 'Question Update';
$string['status_comment']       = 'Comment';
$string['status_progress']      = 'In Progress';
$string['status_close']         = 'Closed';
$string['submitticket']         = 'Submit Question';
$string['ticketview']           = 'View Question';
$string['timemodified']         = 'Updated On';
$string['newticketform']        = 'New Question';
$string['newticketmsg']         = 'Your question has been successfully submitted.';
$string['newticket']            = 'New Question';
$string['viewalltickets']       = 'View all Questions';
$string['submitnewticket']      = 'Submit a new question';
$string['mytickets']            = 'My Submitted Questions';
$string['status_new']           = 'New';
$string['reopened']             = 'Reopened';
$string['updateadded']          = 'Update added to question';
$string['backtoticket']         = 'Return to question';
$string['updates']              = 'Update History';
$string['ticketviewer']         = 'Question Viewer';
$string['noupdates']            = 'This question has no updates.';
$string['addtag']               = 'Add New Tag';
$string['tags']                 = 'Tags';
$string['ticket']               = 'Question';
$string['tickettag']            = 'Question Tagging';
$string['tagname']              = 'Name';
$string['tagcontent']           = 'Tag Content';
$string['extradetailtags']      = 'Extra Detail Tags';
$string['tagvalue']             = 'Value';
$string['missingfields']        = 'You are missing values for some fields.';
$string['removetag']            = 'Remove Tag';
$string['tagremoved']           = 'Tag removed.';
$string['tagadded']             = 'Tag added.';
$string['missingticketparam']   = 'Missing question ID parameter.';
$string['connotaddassignment']  = 'Unable to add assignment.';
$string['assignments']          = 'Assignments';
$string['selectusertoassign']   = 'Select a helper to assign to the question.';
$string['assignmentadded']      = 'Assignment added.';
$string['returntoticket']       = 'Return to question.';
$string['assignedusers']        = 'Assigned helpers';
$string['noneassigned']         = 'No helpers are assigned.';
$string['assignuser']           = 'Assign a Helper';
$string['isalreadyassigned']    = 'is already assigned to this question.';
$string['notags']               = 'This question has no tags.';
$string['changerelation']       = 'Short-cuts to question groups';
$string['usertickets']          = 'User Questions';
$string['ticketsassigned']      = 'Assigned Questions';
$string['newtickets']           = 'New Questions';
$string['noassigntickets']      = 'Unassigned Questions';
$string['lastupdated']          = 'Last Updated';
$string['nextpage']             = 'Next Page';
$string['previouspage']         = 'Previous Page';
$string['youarea']              = 'You are a';
$string['warning_getandrequire']= 'A function call is passing a parameter when one is not expected. This is a software bug.';
$string['noticketstodisplay']   = 'No questions to display.';
$string['wasassigned']          = 'was assigned to this question.';
$string['wasunassigned']        = 'was unassigned from the question.';
$string['tagaddedwithnameof']   = 'A tag was added with the name of: ';
$string['tagremovewithnameof']  = 'A tag was removed with the name of: ';
$string['note']                 = 'Note';
$string['update_type_none']     = 'No Type';
$string['update_type_user']     = 'User Update';
$string['update_type_detailed'] = 'Detailed Update';
$string['update_type_system']   = 'System Update';
$string['viewdetailedupdates']  = 'Show Detailed Updates';
$string['viewsystemupdates']    = 'Show System Updates';
$string['updatepreferences']    = 'Update History Preferences';
$string['showdetailedupdates']  = 'Show detailed updates';
$string['showsystemupdates']    = 'Show system updates';
$string['savepreferences']      = 'Save Preferences';
$string['preferencesupdated']   = 'Your preferences have been saved.';
$string['resetonlogout']        = 'Notice: These preferences are reset when you log out.';
$string['cannotaddassignment']  = 'Unable to add assignment.';
$string['alltickets']           = 'All Questions';
$string['reportedby']           = 'Questions reported by user';
$string['newtickets']           = 'New Questions';
$string['assignedto']           = 'Questions assigned to user';
$string['closedtickets']        = 'Closed Questions';
$string['unassignedtickets']    = 'Unassigned Questions';
$string['notes']                = 'Notes';
$string['hideupdate']           = 'Hide Update';
$string['hidden']               = 'Hidden';
$string['thisupdateishidden']   = 'This update is hidden';
$string['assignthisuser']       = 'Assign this user';
$string['noupdatestoview']      = 'There are no updates to view.';
$string['searchphrase']         = 'Search Phrase';
$string['new']                  = 'New';
$string['workinprogress']       = 'Work in progress';
$string['resolved']             = 'Resolved';
$string['needmoreinfo']         = 'Need more info';
$string['closed']               = 'Closed';
$string['statuschanged']        = 'Question Status Updated';
$string['detailschanged']       = 'Question Details Updated';
$string['updateticketoverview'] = 'Update Question Overview';
$string['changedetails']        = 'Edit Question';
$string['savequestion']         = 'Save Question';
$string['editoverview']         = 'Edit Overview';
$string['ticketedited']         = 'Question has been edited.';
$string['extrainformation']     = 'Extra Information';
$string['updatemessage']        = 'Edit Update Notes';
$string['cannotaddupdate']      = 'Can not add update.';
$string['assign']               = 'User Assigned';
$string['unassign']             = 'User Unassigned';
$string['missingnewtickettag']  = 'Missing listed new question tag';
$string['hasbeenunassigned']    = 'has been unassigned';
$string['tag']                  = 'Tagged';
$string['untag']                = 'Untagged';
$string['ticketlisting']        = 'Question Listing';
$string['changeuserconfirmation'] = 'Are you sure you want to change the user on this question to the name below?';
$string['confirmuserchange']    = 'Confirm User Change';
$string['changeuser']           = 'Change User';
$string['changetothisuser']     = 'Change to this user';
$string['unabletochangeuseronquestion'] = 'Unable to change the user on this question.';
$string['useronquestionchanged'] = 'User on this question has been changed.';
$string['changeuseronquestion'] = 'Change the user on this question.';
$string['newuserselected']      = 'New user has been selected.';
$string['selectauser']           = 'Select a User';
$string['selectuser']           = 'Select User';
$string['changedusernotice']    = 'Notice: You must save the question before the new user will be saved.';
$string['firstcontactuser']     = 'First Contact';
$string['firstcontact']         = $string['firstcontactuser'];
$string['myassignedtickets']    = 'My Assigned Questions';
$string['newquestionstatus']    = 'New Question Status';
$string['infoprovided']         = 'Information provided';
$string['helpdeskticketviewer'] = 'Help Desk: Question Viewer';
$string['helpdeskeditticket']   = 'Help Desk: Edit question';
$string['helpdesktagticket']    = 'Help Desk: Tagging';
$string['helpdeskupdateticket'] = 'Help Desk: Update question';
$string['helpdeskassignuser']   = 'Help Desk: Assign user to question';
$string['helpdesksearch']       = 'Help Desk: Search questions';

/**
 * These are settings.php strings.
 * These should only (or at least mostly) appear in the helpdesk config.
 */
$string['sendemailupdate']      = 'Send Email Updates';
$string['sendemailupdatedesc']  = 'When a question is updated, an email will be sent to the submitter and the assigned users.';
$string['emailsettings']        = 'Email Settings';
$string['emailsettingsdesc']    = 'These settings configure the Help Desk\'s email functionality.';
$string['emailaddr']            = 'Incoming/Outgoing Email Address';
$string['emailaddrdesc']        = 'The email address that will be used for outgoing emails and for incoming emails
                                   for the help desk. This should be a valid email address.';
$string['emailpasswd']          = 'Email Password';
$string['emailpasswddesc']      = 'Password to be used for incoming email authentication.';
$string['pluginsettings']       = 'Plugin Specific Settings';
$string['pluginsettingsdesc']   = 'These are settings that are unique to this specific help desk plugin.';
$string['getemailtickets']      = 'Recieve Questions from Email';
$string['getemailticketsdesc']  = 'Parses incoming emails into the current help desk plugin. This allows user to be able
                                   send emails and have it show up in the help desk block. (UNDER CONSTRUCTION)';
$string['emailname']            = 'Email Name';
$string['emailnamedesc']        = 'Email name is the name that the recipient will see when the email is
                                   received. This should not be confused with email address.';
$string['emailcontent']         = 'Basic Outgoing Email Body';
$string['emailcontentdesc']     = 'Non-HTML email body that will be emailed to users who have had
                                   one of thier questions updated.<br />
                                   Replacement Strings:<br />
                                   !username! : Full name of user being emailed.<br />
                                   !ticketlink! : This is where a link back to the question goes.<br />
                                   !supportname! : This is the name of the support email address.<br />
                                   !updatetime! : This is the time when the email was sent.';
$string['emailrtfcontent']      = 'Rich Text Email Body';
$string['emailrtfcontentdesc']  = 'Rich-text (HTML) version of the update email.<br />
                                   Replacement Strings:<br />
                                   !username! : Full name of user being emailed.<br />
                                   !ticketlink! : This is where a link back to the question goes.<br />
                                   !supportname! : This is the name of the support email address.<br />
                                   !updatetime! : This is the time the email was sent.';
$string['emailsubject']         = 'Update Email Subject';
$string['emailsubjectdesc']     = 'The subject of the email to be sent out for question updates.<br />
                                   Replacement String: !ticketid!';
$string['emailidlewait']        = 'Idle Question Email Timer<br />(Experimental)';
$string['emailidlewaitdesc']    = 'Set a duration in hours to send emails when a question has become idle.';
$string['showfirstcontact']     = 'Show First Contact';
$string['showfirstcontactdesc'] = 'Displays the first helper that replied to the question when viewing the ticket.';

// Email defaults
$string['emaildefaultmsgtext']  = <<<EOF
Hello !username!,

You are being notfified because one of your questions have been updated and may require your attention.

You can access the question here: !ticketlink!
You question was updated at !updatetime!.

Thank you,
!supportname!
EOF;
$string['emaildefaultsubject']  = 'Ticket #!ticketid! Updated';

?>
